get_cnst {rmumps} | R Documentation

## get value of a c++ macro constant

### Description

Return an integer number defined as c++ macro if it is present in internal dictionary. The input parameter is the name of the constant to be returned. If the name is not found in the dictionary, an error is thrown. Constants currently present in the dictionary are following: RMUMPS_PERM_AMD, RMUMPS_PERM_AMF, RMUMPS_PERM_SCOTCH, RMUMPS_PERM_PORD, RMUMPS_PERM_METIS, RMUMPS_PERM_QAMD and RMUMPS_PERM_AUTO.

### Usage

    get_cnst(s)

### Arguments

`s` | character scalar, name of the constant

### Value

integer scalar, value of the sonstant

### Examples

    get_cnst("RMUMPS_PERM_AMD")

[Package rmumps version 5.2.1-5 Index]